<?php

Goweb::loadClass('Goweb_Db_Model');

/**
 * Goweb Sitemanager 5 Framework
 * @version    5.0.0
 * @category   Frontoffice
 * @package    Catalogo
 * @subpackage Model
 * @author     I&D <dev@goweb.pt>, Pedro Pinto <ppinto@goweb.pt>
 * @copyright  2009 (c) Goweb (http://www.goweb.pt)
*/
class Catalogo_Model_Iva extends Goweb_Db_Model {
    
    /**
     * Nome da Tabela
     *
     * @var string
    */
    protected $_table = 'catalogo_iva';
    
    /**
     * Chave Primaria
     * 
     * @var string
    */
    protected $_primary = 'id';
    
    /**
     * Campo que sera retornado se um
     * echo do objecto for chamado
     *
     * @var string
    */
    protected $_toString = 'titulo';
        
    
    /**
     * Metodo obrigatorio. Informa a definicao da tabela
     * referente ao Model em questao.
    */
    protected function _setup() {
        $this->id = $this->Auto();
        $this->titulo = $this->Char(array('maxlength' => 200, 'notnull' => true, 'label' => translate('T&iacute;tulo')));
        $this->iva = $this->Integer(array('maxlength' => 2, 'notnull' => true, 'default' => '0', 'label' => translate('I.V.A.'), 'help' => 'Valor percentual'));
        $this->actualizado = $this->Datetime(array('on_update' => '_currentDatetime', 'label' => translate('Actualizado em')));
        $this->criado = $this->Datetime(array('on_insert' => '_currentDatetime', 'label' => translate('Criado em')));
        $this->ip =$this->IpAddress(array('on_update' => '_remoteAddress', 'label' => translate('Endere&ccedil;o IP')));
        $this->hasMany('Catalogo_Model_Produto', 'iva_id', 'produto');
        $this->hasMany('Catalogo_Model_Categoria', 'iva_id', 'categoria');
    }
}
